"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppsflyerPlugin = void 0;

var _analyticsReactNative = require("@segment/analytics-react-native");

var _reactNativeAppsflyer = _interopRequireDefault(require("react-native-appsflyer"));

var _identify = _interopRequireDefault(require("./methods/identify"));

var _track = _interopRequireDefault(require("./methods/track"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class AppsflyerPlugin extends _analyticsReactNative.DestinationPlugin {
  constructor(opts) {
    super();

    _defineProperty(this, "type", _analyticsReactNative.PluginType.destination);

    _defineProperty(this, "key", 'Appsflyer');

    const defaultOpts = {
      isDebug: true,
      timeToWaitForATTUserAuthorization: 60
    };

    _reactNativeAppsflyer.default.initSdk({ ...defaultOpts,
      ...opts
    });
  }

  identify(event) {
    (0, _identify.default)(event);
    return event;
  }

  track(event) {
    (0, _track.default)(event);
    return event;
  }

}

exports.AppsflyerPlugin = AppsflyerPlugin;
//# sourceMappingURL=AppsflyerPlugin.js.map